---
title: "/calendars/{calendarId}"
url: "https://developers.rest.rodeo/apis/calendar/versions/9fa518e1-4597-4801-ad08-2c360cda2316/operations/getCalendar"
---

> Full API specification: https://developers.rest.rodeo/apis/calendar/versions/9fa518e1-4597-4801-ad08-2c360cda2316.md

# /calendars/{calendarId}

`GET` `/calendars/{calendarId}`

Operation ID: `getCalendar`

Returns a single calendar by id.

## Path parameters

- `calendarId` (string, uuid, required) - The calendar id.

## Responses

- `200` - The calendar
- `401` - Missing or invalid bearer token
- `404` - No calendar with this id
- `405` - Method not allowed

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: Calendar API
  version: 1.0.0
servers:
  - url: https://api.rest.rodeo/calendar/api/v1
    description: Production
paths:
  /calendars/{calendarId}:
    get:
      operationId: getCalendar
      summary: /calendars/{calendarId}
      description: Returns a single calendar by id.
      parameters:
        - $ref: "#/components/parameters/CalendarId"
      responses:
        "200":
          description: The calendar
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Calendar"
              examples:
                calendar:
                  value:
                    id: 3d8df2a2-0d68-4dc4-9d5e-6b1e94a7a51d
                    name: Work
        "401":
          description: Missing or invalid bearer token
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "404":
          description: No calendar with this id
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "405":
          description: Method not allowed
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
security:
  - bearerAuth: []
components:
  parameters:
    CalendarId:
      name: calendarId
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: The calendar id.
  schemas:
    Calendar:
      type: object
      required:
        - id
        - name
      additionalProperties: false
      properties:
        id:
          type: string
          format: uuid
          description: The calendar id.
        name:
          type: string
          description: The calendar name.
          maxLength: 256
    Error:
      type: object
      required:
        - error
      additionalProperties: false
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
```
